Get an email log
GET
/emails/{id}
const url = 'https://mail.teamander.com/v1/emails/a1b2c3d4-e5f6-7890-abcd-ef1234567890';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://mail.teamander.com/v1/emails/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Resource identifier
string
Example
a1b2c3d4-e5f6-7890-abcd-ef1234567890Responses
Section titled “Responses”The email log
Media typeapplication/json
object
id
required
string
recipient_email
required
string
sender_email
required
string
template_id
required
string
subject
required
string
status
required
string
smtp_provider
required
string
smtp_response
required
string
error_message
required
string
attempts
required
integer
sent_at
required
string
created_at
required
string
Examplegenerated
{ "id": "example", "recipient_email": "example", "sender_email": "example", "template_id": "example", "subject": "example", "status": "example", "smtp_provider": "example", "smtp_response": "example", "error_message": "example", "attempts": 1, "sent_at": "example", "created_at": "example"}Missing or invalid API key
Media typeapplication/json
object
error
required
string
message
string
Example
{ "error": "Invalid API key"}Not found
Media typeapplication/json
object
error
required
string
message
string
Example
{ "error": "not_found"}